com.holonplatform.vaadin.components.builders

## Enum DateInputBuilder.Resolution

- java.lang.Object
- - java.lang.Enum<DateInputBuilder.Resolution>
  - - com.holonplatform.vaadin.components.builders.DateInputBuilder.Resolution

- All Implemented Interfaces:
    Serializable, Comparable<DateInputBuilder.Resolution>
  Enclosing interface:
    DateInputBuilder

      public static enum DateInputBuilder.Resolution
      extends Enum<DateInputBuilder.Resolution>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAY`
    `HOUR`
    `MINUTE`
    `MONTH`
    `SECOND`
    `YEAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isTime()`
    `static DateInputBuilder.Resolution` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DateInputBuilder.Resolution[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SECOND

          public static final DateInputBuilder.Resolution SECOND

    - #### MINUTE

          public static final DateInputBuilder.Resolution MINUTE

    - #### HOUR

          public static final DateInputBuilder.Resolution HOUR

    - #### DAY

          public static final DateInputBuilder.Resolution DAY

    - #### MONTH

          public static final DateInputBuilder.Resolution MONTH

    - #### YEAR

          public static final DateInputBuilder.Resolution YEAR

  - ### Method Detail

    - #### values

          public static DateInputBuilder.Resolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateInputBuilder.Resolution c : DateInputBuilder.Resolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateInputBuilder.Resolution valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isTime

          public boolean isTime()

Copyright © 2017 The Holon Platform. All rights reserved.